Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.resource
Class SharedVirtualDiskConfig

`java.lang.Object
oracle.ovs.api.datamodel.resource.SharedVirtualDiskConfig`

All Implemented Interfaces:
  java.io.Serializable

      public class SharedVirtualDiskConfig

extends java.lang.Object
implements java.io.Serializable

shared virtual disk configuration datamodel, used to create a new shared virtual disk

See Also:
  Serialized Form

Constructor Summary
`SharedVirtualDiskConfig()`
`SharedVirtualDiskConfig(java.lang.String DiskName, java.lang.Long DiskSize, java.lang.String Comments)`

Method Summary
`java.lang.String` | `getComments()`
`java.lang.String` | `getDiskName()`
`java.lang.Long` | `getDiskSize()`
`java.lang.Long` | `getGroupId()`
`java.lang.Long` | `getServerPoolId()`
`java.lang.Long` | `getUserId()`
`void` | `setComments(java.lang.String Comments)`
`void` | `setDiskName(java.lang.String DiskName)`
`void` | `setDiskSize(java.lang.Long DiskSize)`
`void` | `setGroupId(java.lang.Long groupId)`
`void` | `setServerPoolId(java.lang.Long serverPoolId)`
`void` | `setUserId(java.lang.Long userId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedVirtualDiskConfig

    public SharedVirtualDiskConfig()

### SharedVirtualDiskConfig

    public SharedVirtualDiskConfig(java.lang.String DiskName,
                                   java.lang.Long DiskSize,
                                   java.lang.String Comments)

Method Detail

### getDiskSize

    public java.lang.Long getDiskSize()

### setDiskSize

    public void setDiskSize(java.lang.Long DiskSize)

### getDiskName

    public java.lang.String getDiskName()

### setDiskName

    public void setDiskName(java.lang.String DiskName)

### getComments

    public java.lang.String getComments()

### setComments

    public void setComments(java.lang.String Comments)

### setServerPoolId

    public void setServerPoolId(java.lang.Long serverPoolId)

### getServerPoolId

    public java.lang.Long getServerPoolId()

### setGroupId

    public void setGroupId(java.lang.Long groupId)

### getGroupId

    public java.lang.Long getGroupId()

### setUserId

    public void setUserId(java.lang.Long userId)

### getUserId

    public java.lang.Long getUserId()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.